#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc16d0556, "tcp_register_congestion_control" },
	{ 0x6376472c, "tcp_vegas_init" },
	{ 0xbb04761d, "tcp_unregister_congestion_control" },
	{ 0x3af8f209, "tcp_slow_start" },
	{ 0x8e6b1da6, "tcp_cong_avoid_ai" },
	{ 0xf017f001, "tcp_vegas_state" },
	{ 0xa03974c3, "tcp_vegas_cwnd_event" },
	{ 0xe591c0a8, "tcp_vegas_pkts_acked" },
	{ 0xcb31377, "tcp_reno_undo_cwnd" },
	{ 0xfac60b72, "tcp_vegas_get_info" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "tcp_vegas");

